Skip to main content
POST
/
v0
/
storage
/
signed-url
curl --request POST \
  --url 'https://api.unify.ai/v0/storage/signed-url' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
{
    "signed_url": "https://storage.googleapis.com/bucket/object?X-Goog-Algorithm=...",
    "expires_in_minutes": 60
}
Generates a temporary signed URL that provides time-limited access to a Google Cloud Storage object without requiring authentication. The signed URL can be used to download the object directly via HTTP GET.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

gcs_uri
string
required
GCS URI of the object (e.g., gs://bucket-name/path/to/object)
expiration_minutes
integer
default:"60"
URL expiration time in minutes (1-10080, default 60)
download
boolean
default:"false"
If true, the signed URL will force download with Content-Disposition: attachment
filename
string | null
Override the filename in Content-Disposition header (only used when download=True)
curl --request POST \
  --url 'https://api.unify.ai/v0/storage/signed-url' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
{
    "signed_url": "https://storage.googleapis.com/bucket/object?X-Goog-Algorithm=...",
    "expires_in_minutes": 60
}